Leaderboard
Popular Content
Showing content with the highest reputation on 01/21/2025 in all areas
-
(defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt osmant circulos creaMTEXT ) ;;----------------------------------------------- ;; THE FUNCTION OF CHECKING WHETHER THE NUMBER IS ODD ;;----------------------------------------------- (defun oddp (n) (= (logand (fix n) 1) 1) ) ;;----------------------------------------------- ;; Local auxiliary functions ...1 point
-
1 point
-
One last thing: Steven is right. It's better not to use 'command'. The code runs slower and is vulnerable to the state of the "osmode" system variable. That's why I've updated your code so that the circles are generated faster. (defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt osmant circulos creaMTEXT ) ...1 point
-
Yes, everything is fine now! Thank you so much for your help! Dreams come true...1 point
-
(defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt osmant circulos creaMTEXT ) ;;----------------------------------------------- ;; THE FUNCTION OF CHECKING WHETHER THE NUMBER IS ODD ;;----------------------------------------------- (defun oddp (n) (= (logand (fix n) 1) 1) ) ;;----------------------------------------------- ;; Local auxiliary functions ...1 point
-
Wait I just noticed that for some reason the website didn't update my edited code. I'll attach it again1 point
-
Please copy the code again It should write only the number in a single line text1 point
-
For the text content and its size you will have to edit the code yourself1 point
-
There is also another detail: in the command 'c:WP-count' you must change the selection mode from ' ssget "_wp" ' to ' ssget "_cp" ' so that it selects not only the objects that are fully included1 point
-
1 point
-
Im sorry I forgot to change something in the main command I attach the correction below (defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt osmant circulos creaMTEXT ) ;;----------------------------------------------- ;; THE FUNCTION OF CHECKING WHETHER THE NUMBER IS ODD ;;----------------------------------------------- (defun oddp (n) (= (logand (fix n)...1 point
-
In the main function I have predefined the height of the MTEXT to half the radius of the circles. If you want to modify it you will have to go into the code and change it. I have also written a separate command. I hope it helps.1 point
-
(defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt osmant circulos creaMTEXT ) ;;----------------------------------------------- ;; THE FUNCTION OF CHECKING WHETHER THE NUMBER IS ODD ;;----------------------------------------------- (defun oddp (n) (= (logand (fix n) 1) 1) ) ;;----------------------------------------------- ;; Local auxiliary functions ...1 point
-
Such is the problem with cracked programs, they are not worth the price you paid.1 point
-
for creating entities if snapping is going to be a problem I'd use entmake or entmakex to draw what you need - especially a simple one like a circle. Saves worrying about setting system variables and resetting them after. For a count set a variable earlier in the code, say (setq acounter 0). For counting add a (setq acounter (+ acounter 1)) just after you draw the circle (you'll need to add a...1 point
-
Like that (defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt osmant ) ;;----------------------------------------------- ;; THE FUNCTION OF CHECKING WHETHER THE NUMBER IS ODD ;;----------------------------------------------- (defun oddp (n) (= (logand (fix n) 1) 1) ) ;;----------------------------------------------- ;; Local auxiliary functions ...1 point
-
Or write at the beginning of the code: (setvar "osmode" 0)1 point
-
As I told you before, turn off object snapping - it looks like it's on with endpoint and midpoint1 point
-
I think you haven't implemented it right. Try this one (defun c:Circles_Chess_outl (/ oddp ent step radius vlist minx miny maxx maxy x y row pt ) ;;----------------------------------------------- ;; THE FUNCTION OF CHECKING WHETHER THE NUMBER IS ODD ;;----------------------------------------------- (defun oddp (n) (= (logand (fix n) 1) 1) ) ;;----------------------------------------------- ;; Local auxiliary...1 point
-
I wouldn't rely on the attribute order, but rather acquire the attribute reference entity using its tag identifier, e.g.: (cond ( (not (setq ent (car (entsel))))) ( (/= "INSERT" (cdr (assoc 0 (setq enx (entget ent))))) (princ "Selected object is not a block.") ) ( (/= 1 (cdr (assoc 66 enx))) (princ "\nSelected block is not attributed.") ) ( (progn (setq att (entnext ent) atx (entget att) ) (while (and (=...1 point
-
@pkenewell its going to be 38c tomorrow, here in AUS, so going down the beach. Mind you they say thunderstorms will hits us in the afternoon. So we may get flooding, we are in our fire season I have bushland near my home so keep watch of what is going on. After California fires pointed out you have to be prepared.1 point
-
This is another that could be used as a start point just work out max rows and columns rather than enter. ; https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/rectangular-array-creating-every-other-row-offset/td-p/9667120 ; array rows a 1/2 x spacings ; Enter -ve values to change direction. ;By AlanH info@alanh.com.au Aug 2020 (defun c:zigzag ( / ent...1 point
-
Circles are created with 'command': this means that they are object-snap sensitive. Always turn off object-snap to avoid undesired results. Or modify your code to turn off object-snap at the beginning of code execution.1 point
-
Your 'pointInPolygon' function is not working as expected. I suggest you replace it with this one: (defun comprobar_centralidad (pto lst_ptos_rto / pt_inters+ pt_inters- n pt1 pt2 inters_negat inters_posit ) (setq n 0) (repeat (- (length lst_ptos_rto) 1) (setq pt_inters+ (inters pto (list (+ (car pto) 100000) (cadr pto)) (setq pt1 (nth n lst_ptos_rto)) (setq pt2 (nth (+ n 1) lst_ptos_rto)) ) ) (if (and...1 point